Bug 99274 - rpm as root fails with kernel 2.6.0-0.test1.1.25 running
rpm as root fails with kernel 2.6.0-0.test1.1.25 running
Product: Red Hat Raw Hide
Classification: Retired
Component: db4 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-07-16 16:47 EDT by Matt Domsch
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-17 19:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2003-07-16 16:47:59 EDT
Description of problem:
Running rpm commands as root fails, running as a normal user succeeds as best it
can for that user.  Running with kernel 2.6.0-0.test1.25 and rpm-4.2-0.69.

# rpm -q initscripts
(18 seconds elapse)
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm

As a normal user:

[mdomsch@D5JPLF11]$ time rpm -q initscripts
real    0m0.366s
user    0m0.032s
sys     0m0.014s

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install above packages on up2date RHL9 system
2. run rpm commands as root
Actual results:
commands fail as above

Expected results:
commands work

Additional info:
Comment 1 Matt Domsch 2003-07-16 23:40:34 EDT
I see now on linux-kernel that this is well understood to be a db4 and O_DIRECT
problem, not specifically an RPM problem.  Changing to db4.  I didn't see a
duplicate, but if so, please mark this as such and close.
Comment 2 Jeff Johnson 2003-07-17 19:26:39 EDT
Yup, upgrade to rpm-4.2-1 packages from

Note You need to log in before you can comment on or make changes to this bug.